# initialize the parameters that configured from IOS CLI
proc init_configs { }  {
    global playbackFile
 

    if [infotag get cfg_avpair_exists playback-file] {
       set playbackFile [string trim [infotag get cfg_avpair playback-file]]
    } else {
       set playbackFile _missing_prompt.au
    }
 
}
#procedure to play audio file
proc act_Media { } {
    global playbackFile

    leg proceeding leg_incoming
    leg connect leg_incoming
    media play leg_incoming $playbackFile
}
 
# disconnect the call
proc act_Cleanup { } {
    call close
}
init_configs
set fsm(any_state,ev_disconnected)  "act_Cleanup  same_state"
set fsm(CALL_INIT,ev_handoff)   "act_Media PLAYBACK"
set fsm(CALL_INIT,ev_setup_indication)   "act_Media PLAYBACK"
set fsm(PLAYBACK,ev_media_done) "act_Cleanup same_state"

fsm define fsm CALL_INIT
