# initialize the parameters that configured from IOS CLI
proc init_configs { }  {
    global recordFile
 

    if [infotag get cfg_avpair_exists record-file] {
       set recordFile [string trim [infotag get cfg_avpair record-file]]
    } else {
       set recordFile flash:/recorder.au
    }
 
}
#procedure to record audio file
proc act_Media { } {
    global recordFile

    leg proceeding leg_incoming
    leg connect leg_incoming
    media record leg_incoming $recordFile 5 0
}
 
# disconnect the call
proc act_Cleanup { } {
    call close
}
init_configs
set fsm(any_state,ev_disconnected)  "act_Cleanup  same_state"
set fsm(CALL_INIT,ev_handoff)   "act_Media PLAYBACK"
set fsm(CALL_INIT,ev_setup_indication)   "act_Media PLAYBACK"
set fsm(PLAYBACK,ev_media_done) "act_Cleanup same_state"

fsm define fsm CALL_INIT
